

-- Get info on log-space usage (% used)
DBCC SQLPERF(LOGSPACE)

-- 2005/2008 only:
SELECT 
	name,
	log_reuse_wait_desc
FROM
	sys.databases


-- Get the oldest active transaction
DBCC OPENTRAN
DBCC INPUTBUFFER(xx)  -- where xx = spid of the transaction returned in previous result


-- To find stalled/open transactions, watch for spids with open transactions
--  where the cpu, physical_io, and memusage values don't change for a long while (i.e. keep refreshing this query
--  and watch to see if there are any changes - if there aren't it's likely you might have found a stalled process.
SELECT spid,cpu,physical_io,memusage,open_tran, last_batch FROM sys.sysprocesses WHERE open_tran > 0



/* Truncating the log file: */

BACKUP LOG ssv WITH TRUNCATE_ONLY  -- typically a bad move (and it won't help if you have a long-running/stalled transaction


/* shrink the log file: */
-- First, get the fileID of the log file(s)
--			log file will always be file #2. Other log files might exist though 
SELECT * FROM sysfiles

-- then shrink the file:
DBCC SHRINKFILE(#,<sizeInMB>)
	-- WHERE # = the file (i.e. fileid from sysfiles), and the second argument is the desired size in megabytes.


